Views

Create a View

Create a new view. A view is a table visualization of transformations that provides insight the output of transform functions. Views enable you to define columns that extract specific fields from transformation outputs, apply filters to narrow down the data, create aggregations for summary statistics, and query transformations from one or more functions.

POST
/v2/views
x-api-key<token>

Authenticate using API Key in request header

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.bem.ai/v2/views" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "columns": [      {        "name": "string",        "valueSchemaPath": [          "string"        ],        "displayOrderIndex": 0      }    ],    "filters": [      {        "columnName": "string",        "filterType": "equals_string"      }    ],    "aggregations": [      {        "name": "string",        "function": "count"      }    ],    "functions": [      {}    ]  }'
{
  "viewID": "string",
  "name": "string",
  "description": "string",
  "displayType": "table",
  "currentVersionNum": 0,
  "columns": [
    {
      "name": "string",
      "valueSchemaPath": [
        "string"
      ],
      "displayOrderIndex": 0
    }
  ],
  "filters": [
    {
      "columnName": "string",
      "filterType": "equals_string",
      "string": "string",
      "number": 0.1
    }
  ],
  "aggregations": [
    {
      "name": "string",
      "function": "count",
      "aggregateColumnName": "string",
      "groupByColumnName": "string"
    }
  ],
  "functions": [
    {
      "id": "string",
      "name": "string"
    }
  ]
}